2019-10-15 23:24 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001629FSSCPmultiplayerpublic2008-04-02 23:54
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeveritytrivialReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001629: Corrupted mission prevents server from showing up
DescriptionIf you create a server and the first mission on the list is corrupted the sever will not show up. As soon as you change to a working mission the server will appear. Not really a big deal as just deleting that file fixes it. I just haven't got it off of all the computers yet. It could also be a problem when trying to test something that FRED corrupted. Well actually that's how this file got created in the first place. A FRED crash.
Additional InformationTBP 3.6.9. Just make sure the file is the first one in the list.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0008993

taylor (administrator)

I thought that I responded to this already, but apparently not. The main problem here is that you've got the extra "." in there and it ends up looking for a file named "Backup.fs2" instead. I added in some checks to try and fix this (may be in the 3/14 Xt build, can't remember) but overall it was a little weird, so I'm not going to commit it just yet.

So give it a test with the 3/14 Xt build and see if it's fixed there. A corrupt mission still isn't going to load, but the fixes should address this particular issue at least.

~0009037

FUBAR-BDHR (developer)

Working in the 3/14 XT build under FS2 but not in Kara's 3/21 TBP build.

~0009038

taylor (administrator)

I still have that particular fix to commit. I held off on it since I would prefer to try and rework various code to handle this issue better rather than making yet another basic patch (the extra ".' thing has accounted for numerous Mantis bugs already in various parts of the code).

~0009130

taylor (administrator)

Give this build a test and verify that it's fixed now:
http://icculus.org/~taylor/fso/testing/20080401_trunk-win32.rar

~0009155

FUBAR-BDHR (developer)

Looks good.

~0009158

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2008-03-12 22:02 FUBAR-BDHR New Issue
2008-03-12 22:02 FUBAR-BDHR File Added: Backup.M01b.fs2
2008-03-21 18:38 taylor Note Added: 0008993
2008-03-21 18:38 taylor Status new => assigned
2008-03-21 18:38 taylor Assigned To => taylor
2008-03-26 00:01 FUBAR-BDHR Note Added: 0009037
2008-03-26 01:36 taylor Note Added: 0009038
2008-04-01 05:49 taylor Note Added: 0009130
2008-04-02 22:55 FUBAR-BDHR Note Added: 0009155
2008-04-02 23:54 taylor Status assigned => resolved
2008-04-02 23:54 taylor Fixed in Version => 3.6.10
2008-04-02 23:54 taylor Resolution open => fixed
2008-04-02 23:54 taylor Note Added: 0009158
+Issue History